Package org.eclipse.birt.chart.model.attribute.impl

# Class PaletteImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.PaletteImpl

All Implemented Interfaces:
  `Palette`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class PaletteImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Palette
An implementation of the model object ' Palette'.

The following features are implemented:

- `Name`
- `Entries`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Palette`
`copyInstance()`
A convenient method to get an instance copy.
`static final Palette`
`create(int iIndex, boolean bEmpty)`
A convenience method provided to create an empty or pre-initialized palette NOTE: Manually written
`static final Palette`
`create(Fill f)`
A convenience method provided to create a palette with a single color entry NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Fill>`
`getEntries()`
`String`
`getName()`
`void`
`setName(String newName)`
`void`
`shift(int step)`
Shifts the colors in palette with the steps.
`void`
`shift(int step, int size)`
Re-creates the palette colors with specified size and shifts the colors in palette with the steps.
`String`
`toString()`
`final void`
`update(int iIndex)`
This convenience method updates the content of a palette with a library of colors NOTE: Manually written
`final void`
`update(Fill f)`
This convenience method updates the content of a palette with a single color NOTE: Manually written

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Palette`
Returns:
  the value of the 'Name' attribute.
See Also:
  - `Palette.setName(String)`
  - `AttributePackage.getPalette_Name()`

### setName

public void setName(String newName)

Specified by:
  `setName` in interface `Palette`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  - `Palette.getName()`

### getEntries

public org.eclipse.emf.common.util.EList<Fill> getEntries()

Specified by:
  `getEntries` in interface `Palette`
Returns:
  the value of the 'Entries' containment reference list.
See Also:
  - `AttributePackage.getPalette_Entries()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Palette create(int iIndex, boolean bEmpty)
A convenience method provided to create an empty or pre-initialized palette NOTE: Manually written

Parameters:
  `bEmpty` -

### create

public static final Palette create(Fill f)
A convenience method provided to create a palette with a single color entry NOTE: Manually written

Parameters:
  `f` -

### update

public final void update(int iIndex)
Description copied from interface: `Palette`
This convenience method updates the content of a palette with a library of colors NOTE: Manually written

Specified by:
  `update` in interface `Palette`
See Also:
  - `Palette.shift(int)`

### update

public final void update(Fill f)
Description copied from interface: `Palette`
This convenience method updates the content of a palette with a single color NOTE: Manually written

Specified by:
  `update` in interface `Palette`

### shift

public void shift(int step)
Description copied from interface: `Palette`
Shifts the colors in palette with the steps. NOTE: Manually written

Specified by:
  `shift` in interface `Palette`
Parameters:
  `step` - moving steps to rotate the color. If the step is zero or the absolute value is greater than the size of list, do nothing. Negative value means moving to the left side, and positive value is to the right side.

### shift

public void shift(int step, int size)
Description copied from interface: `Palette`
Re-creates the palette colors with specified size and shifts the colors in palette with the steps. NOTE: Manually written

Specified by:
  `shift` in interface `Palette`
Parameters:
  `step` - moving steps to rotate the color. If the step is zero or the absolute value is greater than the size of list, do nothing. Negative value means moving to the left side, and positive value is to the right side.
  `size` - the size of color library to create

### copyInstance

public Palette copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Palette`